<div class="container">
  <div id="login">
    <form [formGroup]="loginForm">
      <h2 class="mb-3 text-center">Octopus Project</h2><br>
      <!-- Email -->
      <div class="form-group">
        <label for="email">Email</label>
        <input type="email" class="form-control" formControlName="email" [ngClass]="{ 'is-invalid': submitted && f.email.errors }"/>
        <!-- Verifica se os campos estão vazios, ou invalidos -->
        <div *ngIf="submitted && f.email.errors" class="invalid-feedback">
          <div *ngIf="f.email.errors.required">O Email é obrigatório</div> 
          <div *ngIf="f.email.errors.email">Email inválido</div>
        </div>
      </div>
      <!-- Senha -->
      <div class="form-group" >
        <label for="senha">Senha</label>
        <input type="password" class="form-control" formControlName="senha" [ngClass]="{ 'is-invalid': submitted && f.senha.errors }"/>  
        <!-- Verifica se os campos estão vazios, ou invalidos -->
        <div *ngIf="submitted && f.senha.errors" class="invalid-feedback">
          <div *ngIf="f.senha.errors.required">A Senha é obrigatória</div>
          <div *ngIf="f.senha.errors.minlength">A Senha deve ter no minimo 5 caracteres</div>
        </div>
      </div>
      <p *ngIf="message" class="alert alert-danger" role="alert">{{message}}</p>
      <div class="form-group text-right">
        <button class="btn btn-primary" type="submit" (click)="login()">Login</button>
      </div>
      <div class="form-group text-right">
        <button class="btn btn-primary" (click)="mostrarEsqueceuSenha()">Esqueceu a senha</button>
      </div>
    </form>
  </div>
  <div id="esqueceu" hidden>
    <form>
      <div class="form-group">
        <label for="Password">Digite seu e-mail e clique em Esqueci a senha, verifique seu e-mail logo após.</label>
        <input (input)="resetarMensagemErro()" [(ngModel)]="emailRecuperacao" name="emailRecuperacao" type="email" class="form-control" placeholder="E-mail">
      </div>
      <button type="submit" class="btn btn-primary" (click)="esqueceuSenha()">Esqueci a Senha</button>
    </form>
    <p id="sucesso" class="alert alert-success" role="alert" hidden>Foi enviado para o seu e-mail um endereço para redefinir sua senha! Em segundos iremos direcionar essa página para o home.</p>
    <p id="erro" class="alert alert-danger" role="alert" hidden>Esse e-mail não existe!</p>
  </div>
</div>